<!DOCTYPE html>
<html>
	<head>
		<title>Kona BlockChain Consortium</title>
	</head>

	<script src="../../common-resources/js/third-party/other-utils/jquery-3.3.1.min.js"></script> <!-- jquery script -->
	<script src="../../common-resources/js/third-party/blockchain-utils/web3.min.js"></script>    <!-- web3 javascript source -->
	<script src="voting-contract-abi.js"></script>												  <!-- js file to contain contract aibs -->
	<script src="admin-portal.js"></script>														  <!-- js file for maintaining admin portal -->
	<script src="send-mail.js"></script>														  <!-- js file for sending mail to voters-->
	

	<link rel="stylesheet" href="admin-portal.css">  <!-- admin portal related css components -->
	<link href='../../common-resources/css/fonts/font.css' rel='stylesheet' type='text/css'>      <!-- fonts used in the webpage -->

	
	
	<body>
		<div  id="header">
			<h1 id="projectNameHeader">Configure Voting Pool</h1>
		</div>

		
		<div id ="main-container">
			<!-- instruction container -->
			<div id="instruction">
				<div id="step1">
					Step 1: Upload Participant List File
				</div>
				<div id ="step2">
					Step 2: Configure Voting Method
				</div>
				<div id = "step3">
					Step 3: Configure Notification Email for Participants
				</div>
			</div>

			<div id="container">
				<!-- kyc file upload container -->
				<div id="kyc-upload">
					<h2>Upload kyc form</h2>
					<br> 
					<input type="file" id="file">
					<br>
					<label id="nb-label">N.B. Only .xlsx file is supported</label>
					<br>
					<button id="submit-button" onclick="getKonaID()">Submit</button>
				</div>
				<!-- voting configuration container -->
				<div id="contract-deployment">
					<label id="article-label" >Article</label>
					<br>
					<textarea id="article-des" placeholder= "Enter Article for Voting"></textarea>
					<br>
					<label id="method-label">Voting Method</label>
					<br>
					<select id="drop-down" onChange="changeOption()">
						<option value="1">Single Select Voting</option>
						<option value="2">Multiple Select Voting</option>
						<option value="3">Ranked Voting</option>
						<option value="4">Score Voting</option>
					</select>
					<br>
					<label id="startDate-label">START</label>
					<label id="endDate-label">END</label>
					<br>
					<input type="date" id="start-date-picker">
					<input type="date" id="end-date-picker">
					<br>
					<button id="launch-button" onclick="launchVote()">Launch</button>
				</div>
				<!-- mail sending utility container -->
				<div id="mail-sending">
					<label id="voter-access">Voter Access</label>
					<br>
					<button id="email-button", onclick="doSendEmail()">Email</button>
					<button id="unique-code", onclick="sendUniqueCode()">Unique Code</button>
					<button id="public-vote", onclick="sendPublicly()">Public vote</button>
				</div>
					
			</div>
		</div>

	</body>
</html>
